#!/bin/bash

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

set -e -x -u

SCRIPT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
PY_VERSION=${PY_VERSION:-"3.7"}

COMMANDS=`cat <<EOF
pip install --upgrade setuptools wheel
python3 setup.py sdist bdist_wheel
EOF
`

docker run \
    -v "${SCRIPT_DIR}/..":/opt/bookkeeper \
    -w /opt/bookkeeper \
    -e PY_VERSION=${PY_VERSION} \
    python:${PY_VERSION} \
    /bin/bash -c "${COMMANDS}"
